Package org.drinkless.tdlib

# Class TdApi.SearchStringsByPrefix

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FoundPositions>
org.drinkless.tdlib.TdApi.SearchStringsByPrefix

Enclosing class:
  `TdApi`

public static class TdApi.SearchStringsByPrefix extends TdApi.Function<TdApi.FoundPositions>
Searches specified query by word prefixes in the provided strings. Returns 0-based positions of strings that matched. Can be called synchronously.

Returns `FoundPositions`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of objects to return.
  `String`
  `query`
  Query to search for.
  `boolean`
  `returnNoneForEmptyQuery`
  Pass true to receive no results for an empty query.
  `String[]`
  `strings`
  The strings to search in for the query.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchStringsByPrefix()`
  Default constructor for a function, which searches specified query by word prefixes in the provided strings.
  `SearchStringsByPrefix(String[] strings, String query, int limit, boolean returnNoneForEmptyQuery)`
  Creates a function, which searches specified query by word prefixes in the provided strings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### strings

    public String[] strings
    The strings to search in for the query.

  - ### query

    public String query
    Query to search for.

  - ### limit

    public int limit
    The maximum number of objects to return.

  - ### returnNoneForEmptyQuery

    public boolean returnNoneForEmptyQuery
    Pass true to receive no results for an empty query.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchStringsByPrefix

    public SearchStringsByPrefix()
    Default constructor for a function, which searches specified query by word prefixes in the provided strings. Returns 0-based positions of strings that matched. Can be called synchronously.

    Returns `FoundPositions`

  - ### SearchStringsByPrefix

    public SearchStringsByPrefix(String[] strings, String query, int limit, boolean returnNoneForEmptyQuery)
    Creates a function, which searches specified query by word prefixes in the provided strings. Returns 0-based positions of strings that matched. Can be called synchronously.

    Returns `FoundPositions`

    Parameters:
      `strings` - The strings to search in for the query.
      `query` - Query to search for.
      `limit` - The maximum number of objects to return.
      `returnNoneForEmptyQuery` - Pass true to receive no results for an empty query.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FoundPositions>`
    Returns:
      this.CONSTRUCTOR